Bug 1298954 - amcleanup doesn't kill the dumpers
amcleanup doesn't kill the dumpers
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: amanda (Show other bugs)
24
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Josef Ridky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 08:48 EST by Nuno Dias
Modified: 2017-08-08 08:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:39:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nuno Dias 2016-01-15 08:48:49 EST
Description of problem:
when running amcleanup, the dumpers are not killed, for example

amandab+  9163 73.3  0.0 111152  7804 ?        R    Jan14 626:02 dumper7 XXXXX


Version-Release number of selected component (if applicable):
amanda-server-3.3.7p1-1.fc23.x86_64

How reproducible:


Steps to Reproduce:
1. Start a Backup
2. Before the end of the Backup run amcleanup -k -r
3.

Actual results:
dumpers are still active

Expected results:
dumpers are killed.

Additional info:
Comment 1 Petr Hracek 2016-02-09 04:40:40 EST
I have updated amanda to amanda-3.3.8-1.fc23

Could you please verify whether the new upstream version fixes the problem?
If so, please close the bug please.
Comment 2 Nuno Dias 2016-02-12 05:30:32 EST
No, doesn't solve the problem
Comment 3 Fedora Admin XMLRPC Client 2016-07-11 06:13:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Josef Ridky 2016-08-23 08:47:32 EDT
There was another update of amanda (https://bugzilla.redhat.com/show_bug.cgi?id=1360703)

You can update it with following command:
   sudo dnf --enablerepo=updates-testing update amanda*

Can you please check, if the problem persist? If not, please close this bug.
Comment 5 Nuno Dias 2016-09-09 05:33:56 EDT
After updating the problem still exists, and I upgrade my system to Fedora 24

$ rpm -qa|grep -i amanda
amanda-server-3.3.9-3.fc24.x86_64
amanda-client-3.3.9-3.fc24.x86_64
amanda-libs-3.3.9-3.fc24.x86_64
amanda-3.3.9-3.fc24.x86_64

$ amcleanup -k -r MYCONF

$ ps auxwwww|grep -i MYCONF

amandab+ 20879 93.8  0.0 115960  8124 ?        R    Sep08 1357:07 dumper0 MYCONF
amandab+ 20880 93.9  0.0 115964  8100 ?        R    Sep08 1359:15 dumper1 MYCONF
amandab+ 20881 93.8  0.0 115964  7784 ?        R    Sep08 1357:31 dumper2 MYCONF
Comment 6 Jason Tibbitts 2017-05-11 11:46:56 EDT
F24 testing is currently at 3.4.4, and 3.4 was a rather significant change from 3.3.9.  Does this behavior persist?
Comment 7 Jason Tibbitts 2017-06-08 17:45:54 EDT
Now 3.4.5 should be in testing soon.  Testing would be appreciated.
Comment 8 Fedora End Of Life 2017-07-25 15:47:00 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2017-08-08 08:39:46 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.